Edit swipe

This request edits an existing swipe on a line of credit account.

   Click here to learn more about this request

As a line of credit account holder uses their account to create transactions, they're logged in LoanPro as swipes. Note the following when using this request:

Swipe information is found within the LineOfCreditSwipes object. This object is nested within the LineOfCredits entity.

Swipes cannot be edited if they a part of a statement period that has ended.

Swipes hold transaction information such as amount, memo, assigned Bucket, merchant information, and more. Not all transaction information is required, and we've listed a payload sample below that shows the minimum required fields.

This request can be used to update a swipe's status. Keep in mind that a swipe statuses determines whether the swipe affects the account's current balance and available credit.

The "rawTransactionFeed" field can be used to store metadata from the card issuer.

For an example of how swipes work within the UI, take a look at our Swipes article.

Database

For information regarding Line of Credit database tables, see the following articles:

Database – Line of Credit Swipe (line_of_credit_swipe_entity)

Database – Line of Credit Account (line_of_credit_entity)

{
    "lineOfCreditId": 50,
    "amount": "637.40",
    "bucketId": 1,
    "swipeCategoryId": 3,
    "status": "lineOfCredit.transactionStatus.active",
    "applyDate": "2023-12-18",
    "description": "TARGET #294702",
    "cardholder": 2097,
    "merchantName": "Target",
    "rawTransactionFeed": "",
    "__ignoreWarnings": false,
    "Address": {
        "address1": "2236 S 1300 E Ste D-1",
        "state": "geo.state.UT",
        "country": "company.country.usa",
        "zipcode": "84106",
        "city": "SALT LAKE CITY"
    },
    "metadata": {
        "keyValue": "NewValue"
    }
}
Path Params
int32
required

The ID of the swipe.

Body Params
int32

The ID of the line of credit account on which the swipe was logged.

float

The amount of the swipe.

int32

The ID of the Bucket to which the swipe is routed.

int32

The ID of the category to which the swipe is assigned.
> Swipe categories are used to organize swipes made on your accounts. To view your swipe categories, navigate to Settings > Line of Credit > Labeling > Swipe Categories.

string
enum

The status of the swipe transaction.

date

The date on which the swipe will apply to the line of credit account.

string

A string that describes the swipe.
> Limit of 255 characters.

int32

The cardholder or customer associated with the line of credit account.

string

The name of the merchant where the swipe was logged.

string

A string that allows for swipe metadata from the issuing processor to be captured.

Address
object

This object stores optional merchant address information.

boolean

An optional field that allows you to ignore transaction warnings, such as insufficient available balance.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json